Bug 734878 - pbs_init, unable to stat checkpoint directory /var/torque/checkpoint
Summary: pbs_init, unable to stat checkpoint directory /var/torque/checkpoint
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: torque
Version: el5
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Steve Traylen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-31 17:57 UTC by Steve Traylen
Modified: 2011-09-30 18:57 UTC (History)
3 users (show)

Fixed In Version: torque-3.0.2-2.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-16 01:55:56 UTC


Attachments (Terms of Use)

Description Steve Traylen 2011-08-31 17:57:42 UTC
Description of problem:

When starting pbs_server the following error is observed.

Starting TORQUE Server: PBS_Server: LOG_ERROR::No such file or directory (2)
> in pbs_init, unable to stat checkpoint directory /var/torque/checkpoint/,
> errno 2 (No such file or directory)
> PBS_Server: LOG_ERROR::PBS_Server, pbsd_init failed
>                                                           [FAILED]

Version-Release number of selected component (if applicable):

2.5.7-1.el5.1

How reproducible:
Everytime.

Steps to Reproduce:
1. yum erase torque-mom
2. yum install torque-server
3. service pbs_server start
  
Actual results:
/var/torque/server_priv/serverdb
Creating initial TORQUE configuration: PBS_Server: LOG_ERROR::No such file or directory (2) in pbs_init, unable to stat checkpoint directory /var/torque/checkpoint/, errno 2 (No such file or directory)
PBS_Server: LOG_ERROR::PBS_Server, pbsd_init failed


Expected results:
Starting TORQUE Server:                                    [  OK  ]

Additional info:

The /var/torque/checkpoint/ directory is in the torque-mom package
and it should be in the torque or torque-server package - to be checked.

Installing the torque-mom package in addition to the torque-server 
appears to be a work around. The pbs_mom package does not need to be
started.

Reported here:

https://www.jiscmail.ac.uk/cgi-bin/webadmin?A2=LCG-ROLLOUT;a1c1901c.1108

Comment 1 Fedora Update System 2011-08-31 19:05:21 UTC
torque-2.5.7-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/torque-2.5.7-2.el6

Comment 2 Fedora Update System 2011-08-31 19:05:29 UTC
torque-2.5.7-2.el5.1 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/torque-2.5.7-2.el5.1

Comment 3 Fedora Update System 2011-08-31 19:05:38 UTC
torque-3.0.1-5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/torque-3.0.1-5.fc15

Comment 4 Fedora Update System 2011-08-31 19:05:47 UTC
torque-3.0.2-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/torque-3.0.2-2.fc16

Comment 5 Fedora Update System 2011-08-31 19:07:10 UTC
torque-2.5.7-2.el4.1 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/torque-2.5.7-2.el4.1

Comment 6 Fedora Update System 2011-08-31 21:44:26 UTC
Package torque-3.0.2-2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing torque-3.0.2-2.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/torque-3.0.2-2.fc16
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2011-09-16 01:55:51 UTC
torque-3.0.1-5.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2011-09-17 21:59:32 UTC
torque-2.5.7-2.el5.1 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-09-17 22:00:38 UTC
torque-2.5.7-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-09-17 22:01:52 UTC
torque-2.5.7-2.el4.1 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-09-30 18:57:15 UTC
torque-3.0.2-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.